Welcome Guest! To enable all features please Login. New Registrations are disabled.

Notification

Icon
Error

Pjupe Offline
#1 Posted : Tuesday, November 9, 2010 6:11:33 AM(UTC)
Pjupe
Private
Joined: 11/9/2010(UTC)
Posts: 3
Location: Germany (south-west)

Hey guys!

Today I found the AdAIM and tested it. Was a nice job, it's great. It includes all what it should have.

But I have some questions:
1. Can you tell me the difference between "ScriptsMinesOFF" and "ScriptsMinesON" (source)?
2. Can you tell me the difference between the scripts in the source folder and the AdAIM.exe? What does the .exe have what the source scripts doesn't have?
3. What's the difference between the AdAIM and this one?

I ask because I play Zero Hour modded (I use the Progen 2.6). With the .exe the mod doesn't work (it's the ordinary 1.04 then). But it works with the source scripts. But I think the AI hasn't the same potential then. And there are some bugs caused by the fact that ProGen needs special scripts for its specific gadgets (and without its own scripts the SWG can't build superweapons). To know the differences would be useful so I can try to compare the scripts and make them compatible.

Edited by user Tuesday, November 9, 2010 6:20:15 AM(UTC)  | Reason: Not specified

Sponsor
AEI Offline
#2 Posted : Tuesday, November 16, 2010 7:35:13 PM(UTC)
AEI
Private
Joined: 8/20/2009(UTC)
Posts: 30

Was thanked: 2 time(s) in 1 post(s)
Hello.

Quote:
Can you tell me the difference between "ScriptsMinesOFF" and "ScriptsMinesON" (source)?


China factions will not use mines with "ScriptsMinesOFF" and will use mines with "ScriptsMinesON".

Quote:
Can you tell me the difference between the scripts in the source folder and the AdAIM.exe? What does the .exe have what the source scripts doesn't have?


I think the ini's and the scripts from both are basically the same.

Quote:
What's the difference between the AdAIM and this one?


It is an improved and updated by me version of the latest AdAIM 0.98 /by Lion&r42/, the current version is AdAIM 0.98 improved v2.5, ATM i'm working on v2.6
The same mod, with added fixes and new features.

Quote:
I ask because I play Zero Hour modded (I use the Progen 2.6). With the .exe the mod doesn't work (it's the ordinary 1.04 then). But it works with the source scripts. But I think the AI hasn't the same potential then. And there are some bugs caused by the fact that ProGen needs special scripts for its specific gadgets (and without its own scripts the SWG can't build superweapons). To know the differences would be useful so I can try to compare the scripts and make them compatible.


Well i guess Progen use some of the files of the Advanced AI Mod.
You can always merge ini's with Winmerge though, the biggest changes are in Aidata.ini, the other ini's have only several edits.
So when the other mod do not use Skirmishscripts.scb, but use some of the ini files, you can can merge them pretty fast.
To find out where the few changes in AdAIM's ini files are, compare the ini's from the AI mod with the original files of the game.
As for the Skirmishscripts.scb, you could try to import those from Progen into those from the Advanced AI Mod with the World Builder, but it will take time, it will need testing, and you can still have conflicts or missed stuff.
Pjupe Offline
#3 Posted : Thursday, November 18, 2010 10:19:52 AM(UTC)
Pjupe
Private
Joined: 11/9/2010(UTC)
Posts: 3
Location: Germany (south-west)

Ok I compared the AIData.ini und created my own for ProGen, mainly based on the ordinary PG-AIData (because this one includes the new weapons like the Laser Paladin Tanks, the Tomahawk-Storm and the ICBMMissile) expanded by the Advanced AIData.ini. But I can't start the game with the new (even with the "normal" advanced AIData.ini). The game crashes. I have no idea why. Some suggestions?

How can I open and edit the SkirmishScripts.scb? The editor is useless here.
AEI Offline
#4 Posted : Thursday, November 18, 2010 9:20:30 PM(UTC)
AEI
Private
Joined: 8/20/2009(UTC)
Posts: 30

Was thanked: 2 time(s) in 1 post(s)
Either the Aidata is not merged properly or there is conflicts, maybe some Adv AI General Power /they are the same as in vanilla ZH, but some of them could be removed in Progen/ is missing from the Progen's ini files.

As for the SkirmishScripts.scb, World Builder: edit --> edit player list --> add skirmish players --> Ok --> edit --> Scripts --> Import Scripts --> Import SkirmishScripts.scb.
Then import the one from the other mod and remove duplicated scripts or teams.

You should know all the changes from both mods to be able to merge them properly and without conflicts.
Pjupe Offline
#5 Posted : Thursday, November 18, 2010 11:25:56 PM(UTC)
Pjupe
Private
Joined: 11/9/2010(UTC)
Posts: 3
Location: Germany (south-west)

Yes, now it works! There was a misstake in the .ini, "SCIENCE_AirF". The other way round is correct (AirF_SCIENCE). And once I forgot a "Demo"(_SCIENCE).

The next step: AIData for the 3 boss generals.

And the scripts and some balancing changes are the last step.
Tirke Offline
#6 Posted : Thursday, February 3, 2011 4:53:03 AM(UTC)
Tirke
Private
Joined: 2/3/2011(UTC)
Posts: 2
Location: Belgrade, Serbia

hi to all. i dont know is this topic right place for my question but i have problem with installation of this "advanced al mod". maybe it is problem to me because i dont have expirience in this things... Ashamed

well... i have installed ordinary Generals and Generals ZH from "deluxe edition" case that i bought two monts ago. Then, yesterday, i tryed to instal this AdALMod, but, first, it says, that i need to know version of the game (patch)(or not?). Then, i downloaded this 1.04 patch and installed him, then i instaled AdALMod for this patch, and, then, i cant start the game. It shows me a error window (Tehnical Difficulties... You have encountered a serious error. Errors can be caused by many things...).

Then, i uninstalled ZH, and manually deleted folder of the game that remains in EA folder in program files, and, then, i again installed ZH on my PC. Then, i installed only advanced al mod (again version for 1.04), and i have same error report, and im unable to start the game. I dont know where im wrong. Sad

I hope that you will get me, because english is not my better side. Big Smile

Edited by user Thursday, February 3, 2011 7:32:40 AM(UTC)  | Reason: Not specified

Users browsing this topic
Guest
Forum Jump  
You cannot post new topics in this forum.
You cannot reply to topics in this forum.
You cannot delete your posts in this forum.
You cannot edit your posts in this forum.
You cannot create polls in this forum.
You cannot vote in polls in this forum.

Powered by YAF 1.9.6.1 | YAF © 2003-2023, Yet Another Forum.NET
This page was generated in 0.644 seconds.